\\  PariPad  (Version Alpha 2006.08.29)
\\  (c) Gottfried Helms  mailto:helms@uni-kassel.de
\\  ---------------------------------------------------------
200+400

a=matpascal(5)

b=a^-1

ploth(x=0,10,sin(x))


??? zeta
??zeta

\\------------------------------
\\ from here you need the definitions form 
\\ matrixdefinitions.gp
\\ load them via file-open above here
\\ (in a second syntax-tab) , mark all text
\\ and run calc (or press F2 )

\\ Euler-summation following an example of Konrad Knopp
V(1/2)~*Pj*ZV  \\ Knopp: f = 1/2*ETA(-n)

\\ Eulersummation following an example of Helmut Hasse
Z(1)~*Pj*ZV    \\ Hasse: f= n*Zeta(1-n)


\\ compute Stirling first kind from Stirling 2'nd kind
St1=St2^-1

\\ compute the gotti-matrix Gp from stirling-numbers
tst=St2*matdiagonal(Z(1))*St1

\\ tst should equal Gp
tst-Gp

\\ now compute Pj from its eigensystem Gp * Jd * Gp^-1
tst = Gp * Jd * Gpinv

tst - Pj

\\ the following row-vector theoretically contains zeta(2)-1,zeta(3)-1,...
\\ -if dimension n would be infinity, since the columns
\\ contain certain multiples of the bernoulli-numbers
\\ So we only have "approximation", which gets worse,
\\ as we inceased n, since the alternating nature
\\ and increasing nature of bernoulli-numbers makes
\\ the series divergent
Zeta_1 = Ev~* Gm

\\ let's see as real values
Zeta_1 * 1.0


\\ But note, that the row-sums of Gm add up to 0, 
\\ except the first row, which adds up to 1
\\ as matrix-multiplication we have
Gm*Ev

\\ now since     Gm*Ev = [1,0,0,0...]
\\ and also  Ev~*Gm    = [zeta(2)-1,zeta(3)-1,..]
\\ we have 
\\ Ev~*(Gm*Ev) = [1,1,1,...]~*[1,0,0,...] = 1
\\ but also
\\ (Ev~*Gm)*Ev = [zeta(2)-1,zeta(3)-1)...]~*[1,1,1,1...]
\\ must be the same, so
\\       sum (i=2,inf, zeta(i)-1)=1 
\\    = Ev~ * Gm * Ev
Ev~ * Gm *Ev

\\ to re-use the stirling-numbers, note that
\\ the stirling-matrices define an eigensystem
\\ of Gp and Gm (which is just Jd*Gp*Jd )
\\ as already indicated above:
\\  Gp = St2 * matdiagonal(Z(1)) * St2^-1
\\ and St2^-1 = St1 
tst = St2 * matdiagonal(Z(1)) * St1
\\ and the following is = 1
 Ev~* (Jd * St2 * matdiagonal(Z(1)) * St1 *Jd) *Ev


\\ while Ev~ * Gp * Ev = n
\\ and diverges to inf while n goes to inf
 Ev~* (St2 * matdiagonal(Z(1)) * St1 ) *Ev
 Ev~ * Gp * Ev







